Bug 1244817 - Review Request: python-xvfbwrapper - run headless display inside X virtual framebuffer (Xvfb)
Summary: Review Request: python-xvfbwrapper - run headless display inside X virtual fr...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-20 14:26 UTC by Matthias Runge
Modified: 2015-08-22 22:50 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-22 05:51:42 UTC
jujens: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2015-07-20 14:26:23 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-xvfbwrapper.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-xvfbwrapper-0.2.4-1.fc22.src.rpm
Description: Python wrapper for running a display inside X virtual framebuffer (Xvfb)
Fedora Account System Username: mrunge

Comment 1 Julien Enselme 2015-07-20 18:35:56 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[-]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /tmp/1244817-python-
     xvfbwrapper/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-xvfbwrapper-0.2.4-1.fc21.noarch.rpm
          python-xvfbwrapper-0.2.4-1.fc21.src.rpm
python-xvfbwrapper.noarch: W: spelling-error Summary(en_US) framebuffer -> frame buffer, frame-buffer, framer
python-xvfbwrapper.noarch: W: summary-not-capitalized C run headless display inside X virtual framebuffer (Xvfb)
python-xvfbwrapper.noarch: W: spelling-error %description -l en_US framebuffer -> frame buffer, frame-buffer, framer
python-xvfbwrapper.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/xvfbwrapper.py 644 /usr/bin/env
python-xvfbwrapper.src: W: spelling-error Summary(en_US) framebuffer -> frame buffer, frame-buffer, framer
python-xvfbwrapper.src: W: summary-not-capitalized C run headless display inside X virtual framebuffer (Xvfb)
python-xvfbwrapper.src: W: spelling-error %description -l en_US framebuffer -> frame buffer, frame-buffer, framer
2 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python-xvfbwrapper.noarch: W: spelling-error Summary(en_US) framebuffer -> frame buffer, frame-buffer, framer
python-xvfbwrapper.noarch: W: summary-not-capitalized C run headless display inside X virtual framebuffer (Xvfb)
python-xvfbwrapper.noarch: W: spelling-error %description -l en_US framebuffer -> frame buffer, frame-buffer, framer
python-xvfbwrapper.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/xvfbwrapper.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 3 warnings.



Requires
--------
python-xvfbwrapper (rpmlib, GLIBC filtered):
    python(abi)
    xorg-x11-server-Xvfb



Provides
--------
python-xvfbwrapper:
    python-xvfbwrapper
    python2-xvfbwrapper



Source checksums
----------------
https://pypi.python.org/packages/source/x/xvfbwrapper/xvfbwrapper-0.2.4.tar.gz :
  CHECKSUM(SHA256) this package     : a7f52aefaf2e18c1aee302eb295ba9ca53ae6d3ba36df76794945a338a4b579c
  CHECKSUM(SHA256) upstream package : a7f52aefaf2e18c1aee302eb295ba9ca53ae6d3ba36df76794945a338a4b579c


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1244817
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

- According to the readme, this package supports ptyhon 3. Please enable support for it.
- Please fix the non-executable-script issue.
- Sadly this project has no bug tracker to ask and link for the missing LICENSE file. Did you contact the maintainer in another way?

Comment 2 Matthias Runge 2015-07-21 08:46:25 UTC
Thank you for the review.

I didn't contact the maintainer yet (it's a SHOULD item, not a blocker

- python3 package added, apparently it works with python-3.4, upstream just supports python-3.3.
- non executable script issue fixed.

Spec URL: http://www.matthias-runge.de/fedora/python-xvfbwrapper.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-xvfbwrapper-0.2.4-2.fc22.src.rpm

Comment 3 Julien Enselme 2015-07-21 18:53:30 UTC
> I didn't contact the maintainer yet (it's a SHOULD item, not a blocker)

Indeed.

rpmlint catches a summary-not-capitalized C run headless display inside X virtual framebuffer (Xvfb) warning. You should fix this. Not blocking IMHO.

Approved.

Comment 4 Matthias Runge 2015-07-22 07:19:43 UTC
Thank you for the review!

New Package SCM Request
=======================
Package Name: python-xvfbwrapper
Short Description: run headless display inside X virtual framebuffer (Xvfb)
Upstream URL: https://github.com/cgoldberg/xvfbwrapper
Owners: mrunge
Branches: f22 f23 epel7

Comment 5 Gwyn Ciesla 2015-07-23 13:47:21 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-08-04 14:28:32 UTC
python-xvfbwrapper-0.2.4-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-xvfbwrapper-0.2.4-2.fc22

Comment 7 Fedora Update System 2015-08-04 14:39:09 UTC
python-xvfbwrapper-0.2.4-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-xvfbwrapper-0.2.4-2.el7

Comment 8 Fedora Update System 2015-08-05 05:35:13 UTC
python-xvfbwrapper-0.2.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 9 Fedora Update System 2015-08-22 05:51:40 UTC
python-xvfbwrapper-0.2.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-08-22 22:50:20 UTC
python-xvfbwrapper-0.2.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.